From 23583e2e31b1f4dba4ab407b50f90e33c9cca506 Mon Sep 17 00:00:00 2001
From: Ponsanthini <ponsanthini.arunachalam@multicorewareinc.com>
Date: Tue, 15 Oct 2024 16:55:50 +0000
Subject: [PATCH] Fix shared/dynamic libs and pkg-config installation issue

---
 source/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/source/CMakeLists.txt b/source/CMakeLists.txt
index 8a3128bb7..e333b47c0 100755
--- a/source/CMakeLists.txt
+++ b/source/CMakeLists.txt
@@ -855,7 +855,7 @@ if(ENABLE_SHARED)
         endif()
     endif()
     set_target_properties(x265-shared PROPERTIES SOVERSION ${X265_BUILD})
-    if(X265_LATEST_TAG)
+    if(X265_LATEST_TAG OR EXISTS "${PROJECT_BINARY_DIR}/x265")
         if(WINDOWS)
             set_target_properties(x265-shared PROPERTIES VERSION ${X265_LATEST_TAG})
         endif()
@@ -877,7 +877,7 @@ if(ENABLE_SHARED)
     endif()
 endif()
 
-if(X265_LATEST_TAG)
+if(X265_LATEST_TAG OR EXISTS "${PROJECT_BINARY_DIR}/x265")
     # convert lists of link libraries into -lstdc++ -lm etc..
     foreach(LIB ${CMAKE_CXX_IMPLICIT_LINK_LIBRARIES} ${PLATFORM_LIBS})
         if(IS_ABSOLUTE ${LIB} AND EXISTS ${LIB})
-- 
2.39.3 (Apple Git-146)

